Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Plasma, vidyodesktop 3.6.3.017, and systray...
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
mu0n
n00b
n00b


Joined: 20 Aug 2015
Posts: 11

PostPosted: Wed Jul 27, 2016 1:24 pm    Post subject: Plasma, vidyodesktop 3.6.3.017, and systray... Reply with quote

I'm out of ideas on how to get Vidyo to work in KDE Plasma.

I'm running Gentoo stable and have been current with emerge @world. I've done what is mentioned here:

https://wiki.gentoo.org/wiki/KDE/Plasma_5_upgrade#Missing_systray_icons

i.e.,

Code:
echo "kde-plasma/plasma-desktop legacy-systray gtk2 gtk3 qt4" >> /etc/portage/package.use
emerge --ask dev-libs/sni-qt
emerge --ask dev-libs/libappindicator:2
emerge --ask dev-libs/libappindicator:3


when I try running Vidyo (i.e., net-voip/vidyodesktop ) this is what I get:

Code:
$ cd ~
$ rm -rf .config/Vidyo .vidyo
$ VidyoDesktop
libpng warning: iCCP: known incorrect sRGB profile
QPainter::begin: Widget painting can only begin as a result of a paintEvent
Object::connect: No such slot VDCallWindow::OnHideMuteToolbarsWhenWindowDeactivate() in ../source/VDController.cpp:3847
Object::connect:  (receiver name: 'VDCallWindow')
Cannot open for reading file /home/preney/.vidyo/VidyoDesktop/config.xml
/usr/bin/VidyoDesktop: line 6:  7823 Segmentation fault      (core dumped) /opt/vidyo/VidyoDesktop/$EXEC $option $audioflag $@
zsh: exit 139   VidyoDesktop
$


From searching the web my understanding is that others (in other distros) have been successful running Vidyo with sni-qt installed. I have not been. (I need it for my job and so I have masked KDE 5 completely on my work computer so I can use it. This is the only application preventing me from upgrading to KDE 5 on that computer.)

Does anyone else have experience (and hopefully success) with running Vidyo under Gentoo w/KDE 5? (KDE 4 works.) If so, what did you do to make it work?


P.S. Just in case, you are unfamiliar with Vidyo, know it is a proprietary video conferencing application (e.g., used by Mozilla and CERN judging by Internet searches). Nicely there is a Gentoo package to install it or one can install it using "rpm -ivh --nodeps" with the .rpm build and be sure to install zenity as well.
Back to top
View user's profile Send private message
kensington
Developer
Developer


Joined: 02 Jan 2013
Posts: 175
Location: Australia

PostPosted: Wed Jul 27, 2016 1:34 pm    Post subject: Reply with quote

What's the output of emerge -pv kde-frameworks/knotifications kde-plasma/plasma-workspace ?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Jul 27, 2016 2:09 pm    Post subject: Reply with quote

Proprietary? Perhaps it is also an abi_x86_32 binary?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mu0n
n00b
n00b


Joined: 20 Aug 2015
Posts: 11

PostPosted: Wed Jul 27, 2016 11:54 pm    Post subject: Reply with quote

@kensington: This is the output:
Code:
# emerge -pv kde-frameworks/knotifications kde-plasma/plasma-workspace

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] kde-frameworks/knotifications-5.23.0:5/5.23::gentoo  USE="X dbus nls -debug (-speech)" 0 KiB
[ebuild   R    ] kde-plasma/plasma-workspace-5.6.5.1-r2:5::gentoo  USE="geolocation handbook -debug -gps (-prison) -qalculate {-test}" 0 KiB

Total: 2 packages (2 reinstalls), Size of downloads: 0 KiB


@genstorm: The vidyodesktop-3.6.3.017.ebuild in /usr/portage/net-voip/vidyodesktop downloads the appropriate version(s) (i.e., amd64 and x64) and appears to install the correct one. That said the ebuild isn't the issue: the problems I am having with Vidyo w/Plasma happen when I manually install (using rpm) the 64-bit binary. There are no issues under KDE 4 however (using emerge to install it, or, using rpm to install it). My presumption is since I don't have to make an abi_x86_32 version of anything in KDE 4, I shouldn't have to do such with KDE 5.
Back to top
View user's profile Send private message
mu0n
n00b
n00b


Joined: 20 Aug 2015
Posts: 11

PostPosted: Tue Aug 16, 2016 11:24 pm    Post subject: Nobody else uses VidyoDesktop? Reply with quote

Since this hasn't had any further responses, should I assume that others here are not using VidyoDesktop (e.g., no Mozilla project, CERN, etc. persons come here)?

Unfortunately it means a Gentoo machine of mine has to remain with KDE 4 and once VidyoDesktop is updated (some time later this year or next?) I will have to attempt to upgrade everything with KDE 4 ebuilds removed (apparently that will happen in the next 30 days or so).

QUESTION: Does Gentoo keep old ebuilds that get deleted from the main repo in an overlay or somewhere I can manually sync with git?

Thanks! :-)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Aug 17, 2016 2:16 am    Post subject: Reply with quote

Plasma-4 is still in tree.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mu0n
n00b
n00b


Joined: 20 Aug 2015
Posts: 11

PostPosted: Mon Aug 22, 2016 2:50 pm    Post subject: VidyoDesktop now works... Reply with quote

On the weekend I did a sync and then an "emerge -uDNav @world" which updated KDE. I just retested VidyoDesktop and everything now works.

With respect to KDE, kde-apps/kde-meta v16.04.3 was installed (along with everything that was pulled in). Also know that I also do have the following USE flags set: "kde-plasma/plasma-desktop legacy-systray gtk2 gtk3 qt4".
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum